Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://alb.neural4d.com:3000/api/generateModelWithImage \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form disablePbr=1 \ --form modelCount=1 \ --form image='@example-file'
const form = new FormData();form.append('disablePbr', '1');form.append('modelCount', '1');form.append('image', '(binary)');const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};options.body = form;fetch('https://alb.neural4d.com:3000/api/generateModelWithImage', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requestsurl = "https://alb.neural4d.com:3000/api/generateModelWithImage"files = { "image": ("example-file", open("example-file", "rb")) }payload = { "disablePbr": "1", "modelCount": "1"}headers = {"Authorization": "Bearer <token>"}response = requests.post(url, data=payload, files=files, headers=headers)print(response.text)
{ "type": "sys", "message": "Generating", "uuids": [ "aaaa-aaaa-aaaa-aaaaaaaa" ], "uploadedImageUrl": "https://s3.neural4d.com/example.png?sign=xxx.png" }
通过上传图片生成 3D 模型。该操作消耗 80 点数。
使用 Neural4D 网站提供的 Bearer token。
输入图片文件。建议使用 JPG、JPEG、PNG 或 WEBP,且文件小于 10 MB。
生成模型的数量。
x >= 1
PBR 开关。使用 0 开启 PBR,使用 1 关闭 PBR。
0
1
已接受生成任务
响应来源或类型标记。
"sys"
生成状态消息。
可用于查询生成模型的 UUID 列表。
上传源图的签名下载链接。